Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql3
Class UntypedResultSet

    java.lang.Object
      org.apache.cassandra.cql3.UntypedResultSet

All Implemented Interfaces:
  java.lang.Iterable<UntypedResultSet.Row>

    public class UntypedResultSet

extends java.lang.Object
implements java.lang.Iterable<UntypedResultSet.Row>

a utility for doing internal cql-based queries

Nested Class Summary
`static class` | `UntypedResultSet.Row`

Constructor Summary
`UntypedResultSet(java.util.List<CqlRow> cqlRows)`

Method Summary
`java.util.Iterator<UntypedResultSet.Row>` | `iterator()`
`UntypedResultSet.Row` | `one()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UntypedResultSet

    public UntypedResultSet(java.util.List<CqlRow> cqlRows)

Method Detail

### one

    public UntypedResultSet.Row one()

### iterator

    public java.util.Iterator<UntypedResultSet.Row> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<UntypedResultSet.Row>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation